package net.eduvax.util;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.io.IOException;
import java.io.OutputStream;

public class Stream {
    static public void copy(InputStream in,OutputStream out) 
                                        throws IOException {
        byte[] buf=new byte[4096];
        int l=in.read(buf);
        while (l>=0) {
            out.write(buf,0,l);
            l=in.read(buf);
        }
    }

    static public String inputStreamToString(InputStream in) 
                                        throws IOException {
        ByteArrayOutputStream out=new ByteArrayOutputStream();
        copy(in,out);
        return out.toString();
    }

    static public byte[] inputStreamToByteArray(InputStream in) 
                                        throws IOException {
        ByteArrayOutputStream out=new ByteArrayOutputStream();
        copy(in,out);
        return out.toByteArray();
    }
}



